// SIGMA PUBLIC WEB EMBED API

// USE EXPRESS WEB FRAMEWORK:
var express = require('express');
var app = express();

// FETCH PATH FOR FOLDER CONTAINING HTML PAGE WE ARE EMBEDDING INTO:
app.get('/', function(request, response) 
{
response.sendFile(__dirname + '/index.html');
}
);

// DEFINE A ROUTE HANDLER FOR GET REQUESTS TO GIVEN URL:
app.get('/api/foo', foo);

// CALL FUNCTION AND SET ANY PARAMETERS
function foo(request, response) 
{
	// SET SIGMA EMBED URL VALUE:
	// THIS VALUE IS CALLED "PUBLIC LINK" IN SIGMA PORTAL:
	const EMBED_PATH = "https://app.sigmacomputing.com/embed/1-3xMqlntfk21kACStuPuKiB"; 

	// SEND URL TO CLIENT:
	response.status(200).send({url:EMBED_PATH});
}

//START EXPRESS SERVER LISTENING ON PORT 3001:
app.listen(3000);

